@use 'sass:color';
@import '../../../variables.scss';

::ng-deep {
  section {
    padding-bottom: 20px;
    margin-bottom: 50px;

    h3 {
      padding: 0 $padding;
      color: $secondary-color;
      font-size: 23pt;
      margin-bottom: 0;
      margin-top: 1.6em;
    }

    dl {
      dt {
        font-weight: bold;
        font-size: 19pt;
        color: $secondary-color;
        margin-top: 25px;
        margin-bottom: 10px;
      }
    }
    p,
    dl,
    li {
      padding: 0 $padding;
      padding-bottom: 0 $padding * 1.5;
      font-size: 17pt;
      color: $paragraph-color;
      line-height: 1.4em;

      i.big {
        background-color: color.adjust($primary-color, $lightness: 34%);
        border-radius: 3px;
        line-height: 1.5em;
        font-style: normal;
      }
    }

    &.dark {
      background: $primary-color;
      padding-top: 70px;

      * {
        text-align: center;
        color: white;
        font-size: 17pt;
      }
    }
  }

  @media (min-width:$break-1) {
    section{
      border-radius: $border-radius;
    }
  }
}
